# Java Bytecode

Assembler code

```
// Segment type: Pure code
  public synchronized void reset()
  max_stack 4
  max_locals 2
  {
    invokestatic java.security.IdentityScope.getSystemScope()
                                               // CODE XREF: <init>+5↑P
    astore_1 // met004_slot001
    aload_1 // met004_slot001
    instanceof sun.security.provider.IdentityDatabase
    ifeq met004_47
    aload_0 // met004_slot000
    aload_1 // met004_slot001
    checkcast sun.security.provider.IdentityDatabase
    putfield scope
    aload_0 // met004_slot000
    new java.lang.StringBuffer
    dup
    ldc "installing "
    invokespecial java.lang.StringBuffer.<init>(java.lang.String)
    aload_1 // met004_slot001
    invokevirtual java.lang.StringBuffer.append(java.lang.Object)
    ldc " as the scope for signers."
    invokevirtual java.lang.StringBuffer.append(java.lang.String)
    invokevirtual java.lang.StringBuffer.toString()
    invokevirtual debug(java.lang.String)
    goto met004_53

met004_47:                                     // CODE XREF: reset+8↑j
    aload_0 // met004_slot000
    ldc "no signer scope found."
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/ida-9.2/user-guide/disassembler/disassembly-gallery/java-bytecode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
